| optoICC

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
optoICC.registers.icc_registers.ICCStaticInput Class Reference
Inheritance diagram for optoICC.registers.icc_registers.ICCStaticInput:

## Public Member Functions
def | __init__ (self, int channel=0, board=None)
def | SetFocalPower (self, value)
def | GetFocalPower (self)

## Static Public Member Functions
def | help ()

## Public Attributes
| active_type
| fp
| name

## Detailed Description

    Input Channel Systems - USB/UART
    System IDs: 0x50 through 0x57

    +----------------+------+-------------+----------+-------------+---------+---------------------------------------+
    | Register Name  | Id   | Type        | Unit     | Range       | Default | Comment                               |
    +================+======+=============+==========+=============+=========+=======================================+
    | current        | 0x00 | float 32-bit| A        | -0.7 to 0.7 | 0.0     | Static input in amperes.              |
    +----------------+------+-------------+----------+-------------+---------+---------------------------------------+
    | active_input   | 0x03 | float 32-bit| None     |             | 0.0     | Determined by active control system.  |
    +----------------+------+-------------+----------+-------------+---------+---------------------------------------+
    | fp             | 0x04 | float 32-bit| DPT      |             | 0.0     | Static input in DPT.                  |
    +----------------+------+-------------+----------+-------------+---------+---------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoICC.registers.icc_registers.ICCStaticInput.__init__ | ( |  | self,
|  | int | channel = `0`,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ GetFocalPower()

def optoICC.registers.icc_registers.ICCStaticInput.GetFocalPower | ( |  | self | ) |

## ◆ help()

def optoICC.registers.icc_registers.ICCStaticInput.help | ( |  | ) |
| static

## ◆ SetFocalPower()

def optoICC.registers.icc_registers.ICCStaticInput.SetFocalPower | ( |  | self,
|  |  | value
| ) |  |

## Member Data Documentation

## ◆ active_type

optoICC.registers.icc_registers.ICCStaticInput.active_type

## ◆ fp

optoICC.registers.icc_registers.ICCStaticInput.fp

## ◆ name

optoICC.registers.icc_registers.ICCStaticInput.name

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/145-713-00-OptoICC/src/main/python/optoICC/registers/icc_registers.py